Difference between revisions of "Arch Rebar BentShape/fr"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Armature cintrée Arch")
 
(Created page with "{{GuiCommandAddon|Name=Arch Rebar BentShape|Name/fr=Armature cintrée|Workbenches=Arch|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|S...")
Line 1: Line 1:
{{GuiCommandAddon|Name=Arch Rebar BentShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup]]}}
+
{{GuiCommandAddon|Name=Arch Rebar BentShape|Name/fr=Armature cintrée|Workbenches=[[Arch Module/fr|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup/fr|Armature en étrier]]}}
  
 
==Description==
 
==Description==

Revision as of 14:29, 12 April 2018

Arch Rebar BentShape.png Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Armature en étrier
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager


Description

The Arch Rebar BentShape.png Bent Shape Rebar tool allows user to create a bent shape reinforcing bar in the structural element.

BentShapeRebar.png

How to use

  1. Create a structure element
  2. Select any face of the structure
  3. Then select Arch Rebar BentShape.png Bent Shape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below BentShapeDialog.png
  5. Select the desired orientation
  6. Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Properties

  • DATAOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DATAFront Cover: The distance between rebar and selected face.
  • DATALeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DATARight Cover: The distance between the right end of the rebar to right face of the structure.
  • DATABottom Cover: The distance between rebar from the bottom face of the structure.
  • DATATop Cover: The distance between rebar from the top face of the structure.
  • DATAAnchor Length: It is the arm's length of bent shape rebar.
  • DATABent Angle: It decides angle in bent shape rebar.
  • DATAAmount: The amount of rebars.
  • DATASpacing: The distance between the axes of each bar.

Scripting

The Arch Rebar BentShape.png Bent Shape Rebar tool can by used in macros and from the python console by using the following function:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The Bent Shape Rebar have four different orientations:
    • Bottom
    • Top
    • Left
    • Right
  • Adds a Bent Shape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating Bent Shape rebar.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Changing properties of Bent Shape rebar.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")


Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский